%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global extension_id \{02274e0c-d135-45f0-8a9c-32b35110e10d\}

%define _mozillaextpath %{_datadir}/mozilla/extensions
%define pkcs11_modules_dir %{_libdir}/mozilla/pkcs11-modules
%define mozilla_prefs_dir %{_libdir}/firefox/defaults/pref

%define source_name firefox-pkcs11-loader

Name:		mozilla-esteid
Version:	3.13.6
Release:	%mkrel 1
Summary:	Estonian ID card extension for Mozilla
Group:		Networking/WWW
License:	LGPLv2
URL:		https://github.com/open-eid/firefox-pkcs11-loader
Source0:	https://installer.id.ee/media/ubuntu/pool/main/f/firefox-pkcs11-loader/firefox-pkcs11-loader_%{version}.1084.orig.tar.xz
Source1:	mozilla-esteid.js

Requires:	ccid
Requires(post):	jq
Requires:	opensc
Requires:	pcsc-lite
Requires:	locales-et

Recommends:	chrome-token-signing

%description
%{summary}.

%prep
%autosetup -c mozilla-esteid

%install
install -d %{buildroot}%{_mozillaextpath}/%{firefox_app_id}/
install -D -c -p -m 644  %{extension_id}.xpi %{buildroot}%{_mozillaextpath}/%{firefox_app_id}/%{extension_id}.xpi
install -d %{buildroot}%{pkcs11_modules_dir}
install -D -c -p -m 644 onepinopenscpkcs11.json %{buildroot}%{pkcs11_modules_dir}
install -d %{buildroot}%{mozilla_prefs_dir}
install -D -c -p -m 644 %{SOURCE1} %{buildroot}%{mozilla_prefs_dir}
install -d %{buildroot}%{_libdir}/firefox/distribution

%post
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{02274e0c-d135-45f0-8a9c-32b35110e10d}"] = {"installation_mode": "normal_installed", "install_url": "https://addons.mozilla.org/firefox/downloads/latest/pkcs11-module-loader/latest.xpi"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%postun
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{02274e0c-d135-45f0-8a9c-32b35110e10d}"] = {"installation_mode": "blocked"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%files
%doc LICENSE.LGPL README.md
%{_mozillaextpath}/%{firefox_app_id}/%{extension_id}.xpi
%{pkcs11_modules_dir}/onepinopenscpkcs11.json
%{mozilla_prefs_dir}/%{name}.js


%changelog
* Wed Aug 12 2020 sander85 <sander85> 3.13.6-1.mga8
+ Revision: 1613547
- New version: 3.13.6

* Thu Feb 13 2020 umeabot <umeabot> 3.13.0-6.mga8
+ Revision: 1515184
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.13.0-5.mga7
+ Revision: 1299605
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 sander85 <sander85> 3.13.0-4.mga7
+ Revision: 1241683
- Select certificate automatically (as there is only one cert to use)

* Wed Jul 04 2018 sander85 <sander85> 3.13.0-3.mga7
+ Revision: 1241679
- Noarch doesn't work with _libdir

* Fri Jun 29 2018 sander85 <sander85> 3.13.0-2.mga7
+ Revision: 1240831
- Add license/readme and missing json file that is needed for the extension to work

* Tue Jun 19 2018 sander85 <sander85> 3.13.0-1.mga7
+ Revision: 1238200
- New version: 3.13.0

* Thu May 18 2017 sander85 <sander85> 3.12.0-2.mga6
+ Revision: 1102916
- Don't recommend esteid-browser-plugin, Mozilla doesn't support this type of plugins any more

* Sun Jan 15 2017 sander85 <sander85> 3.12.0-1.mga6
+ Revision: 1081787
- New version: 3.12.0

* Tue Feb 02 2016 umeabot <umeabot> 3.8.0.1052-7.mga6
+ Revision: 931726
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.8.0.1052-6.mga5
+ Revision: 750042
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.8.0.1052-5.mga5
+ Revision: 727344
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.8.0.1052-4.mga5
+ Revision: 682611
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ sander85 <sander85>
- Convert to %%autosetup

* Thu Apr 03 2014 sander85 <sander85> 3.8.0.1052-3.mga5
+ Revision: 611574
- Load onepin module

* Wed Feb 05 2014 sander85 <sander85> 3.8.0.1052-2.mga5
+ Revision: 583858
- Better max version for Firefox

* Wed Feb 05 2014 sander85 <sander85> 3.8.0.1052-1.mga5
+ Revision: 583405
- New version: 3.8.0.1052

* Sun Jan 05 2014 sander85 <sander85> 3.7.1-3.mga4
+ Revision: 564938
- Revert patch that loaded opensc-pkcs11.so instead of onepin-opensc-pkcs11.so + add requires on locales-et (mga#11352)

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-2.mga4
+ Revision: 525861
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 sander85 <sander85> 3.7.1-1.mga4
+ Revision: 434763
- New version: 3.7.1

* Wed Feb 06 2013 sander85 <sander85> 3.6-4.mga3
+ Revision: 394846
- Require certificates

* Sat Feb 02 2013 sander85 <sander85> 3.6-3.mga3
+ Revision: 394078
- Fix importing missing certificates

* Sat Jan 12 2013 umeabot <umeabot> 3.6-2.mga3
+ Revision: 360311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 sander85 <sander85> 3.6-1.mga3
+ Revision: 295446
- New version: 3.6

* Sun Jan 08 2012 sander85 <sander85> 3.5-1.mga2
+ Revision: 193441
- new version: 3.5

* Wed Dec 21 2011 sander85 <sander85> 3.4.0-6.mga2
+ Revision: 185370
- rediff patch to change the compatibility tag for Firefox 9

* Wed Nov 09 2011 sander85 <sander85> 3.4.0-5.mga2
+ Revision: 165789
- rediff patch to change the compatibility tag for Firefox 8

* Tue Sep 27 2011 sander85 <sander85> 3.4.0-4.mga2
+ Revision: 149295
- rediff patch to change the compatibility tag for Firefox 7
- rediff patch to change the compatibility tag for Firefox 6

* Wed Jun 22 2011 sander85 <sander85> 3.4.0-2.mga2
+ Revision: 112372
- forgot to bump release
- rediff patch to make it compatible with Firefox 5

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89983
- imported package mozilla-esteid


* Sat Apr 23 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.4.0-1.mga1
- new version 3.4.0

* Sat Mar 05 2011 Sander Lepik <sander.lepik@eesti.ee> - 3.3.0-9mdv2010.2
- split extension from plugin
